clear all

set matsize 1000

*use "C:\Users\Galasso\Dropbox\Electoral Incentives & Econ. Policy\QJPS Revision Fall 2018\tables_final_revision.dta"

drop if cnty_code==.

tsset cnty_code year


*** define constatable in prop as cont_2 & constatable in maj as cont_1
g w_unemp_cont=w_unemp_cont_2 if majoritarian==0
replace w_unemp_cont=w_unemp_cont_1 if majoritarian==1
g w_unemp_uncont=w_unemp_uncont_2 if majoritarian==0
replace w_unemp_uncont=w_unemp_uncont_1 if majoritarian==1
g w_diff=w_unemp_cont-w_unemp_uncont
g w_diff_M=w_diff*majoritarian
g logwunempcont=ln(w_unemp_cont)
g logwunempuncont=ln(w_unemp_uncont)
g Mlogwunempcont=logwunempcont*majoritarian
g Mlogwunempuncont=logwunempuncont*majoritarian

g w_diff_1= w_unemp_cont_1-w_unemp_uncont_1
g w_diff_2= w_unemp_cont_2-w_unemp_uncont_2
g w_diff_med= w_unemp_cont_med-w_unemp_uncont_med
g w_diff_1_M=w_diff_1*majoritarian
g w_diff_2_M=w_diff_2*majoritarian
g w_diff_med_M=w_diff_med*majoritarian
g w_ratio_1_M=w_ratio_1*majoritarian
g w_ratio_2_M=w_ratio_2*majoritarian
g w_ratio_med_M=w_ratio_med*majoritarian

g w_hp1=1 if w_diff_1>0
replace w_hp1=0 if w_diff_1<=0
g Mwhp1=w_hp1*majoritarian
g w_hp2=1 if w_diff_2>0
replace w_hp2=0 if w_diff_2<=0
g Mwhp2=w_hp2*majoritarian
g w_hpmed=1 if w_diff_med>0
replace w_hpmed=0 if w_diff_med<=0
g Mwhpmed=w_hpmed*majoritarian

g loggdp=ln(gdp_pc)
g logold65=ln(old_65)
g logunemp=ln(nat_unemp)
g logpop=ln(pop_lev)
g logcheck=ln(checks)
g logworkpop=ln(work_pop)
g logpubsoc=ln(public_socexp)
g logUS100=ln(US100)
g logUC1000=ln(UC1000)
g logUEQUAL=ln(UEQUAL)
g logUEDUR=ln(UEDUR)
g logUEWAIT=ln(UEWAIT+1)
g logUECOV=ln(UECOV)
g logUEGEN=ln(UEGEN)
g logSPC1000=ln(SPC1000) 
g logSPS100=ln(SPS100) 

g logwunempcont1=ln(w_unemp_cont_1)
g logwunempuncont1=ln(w_unemp_uncont_1)
g logwunempcont2=ln(w_unemp_cont_2)
g logwunempuncont2=ln(w_unemp_uncont_2)
g logwunempcontmed=ln(w_unemp_cont_med)
g logwunempuncontmed=ln(w_unemp_uncont_med)

g Mlogwunempcont1=logwunempcont1*majoritarian
g Mlogwunempuncont1=logwunempuncont1*majoritarian
g Mlogwunempcont2=logwunempcont2*majoritarian
g Mlogwunempuncont2=logwunempuncont2*majoritarian
g Mlogwunempcontmed=logwunempcontmed*majoritarian
g Mlogwunempuncontmed=logwunempuncontmed*majoritarian

g logwdiff1=ln(w_diff_1)
g logwdiff2=ln(w_diff_2)
g logwdiffmed=ln(w_diff_med)

g w_diff1_maj=w_diff_1*majoritarian
g w_diff2_maj=w_diff_2*majoritarian
g w_diffmed_maj=w_diff_med*majoritarian

label variable US100 "Rep. rate single (100%)"
label variable UC1000 "Rep. rate family (100%/0%)"
label variable UEGEN "Generosity score"
label variable majoritarian "Majoritarian"
label variable logwunempcont1 "LogUnemp Swing"
label variable logwunempuncont1 "LogUnemp Safe"
label variable Mlogwunempcont1 "Maj * LogUnemp Swing"
label variable Mlogwunempuncont1 "Maj * LogUnemp Safe"
label variable nat_unemp "National unemployment"
label variable loggdp "Log GDP"
label variable work_pop "Share working population"
label variable old_65 "Share population >65"

***** TABLE 1 **********
*** Notice that since Table 1 uses a different dataset, it is generated at the end of the file
*****

***** TABLE 2 (T-tests Means) *****

ttest w_unemp_cont_1 , by (majoritarian)
ttest w_unemp_uncont_1 , by (majoritarian)
ttest w_unemp_cont_2 , by (majoritarian)
ttest w_unemp_uncont_2 , by (majoritarian)
ttest w_unemp_cont_med , by (majoritarian)
ttest w_unemp_uncont_med , by (majoritarian)

***** TABLE 3 (T-tests Differences in Means) *****

ttest w_diff_1, by (majoritarian)
ttest w_diff_2, by (majoritarian)
ttest w_diff_med, by (majoritarian)

***** TABLE 4 (Descriptives) *****

*outreg2 using "Paper Table 2.xls", replace sum(log) keep(US100 UC1000 UEGEN majoritarian logwunempcont1 logwunempuncont1 nat_unemp loggdp work_pop old_65) seeout label
sum US100 UC1000 UEGEN majoritarian nat_unemp loggdp work_pop old_65 checks w_diff_1 logwunempcont1 logwunempuncont1 


****************************** TABLE  5 (W/FE) ALL SAMPLE/SPLIT SAMPLES ***************
reg UC1000 l.UC1000 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year i.cnty_code , cluster (cnty_code)
reg UC1000 l.UC1000 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year i.cnty_code if l.w_hp1==1, cluster (cnty_code)
reg UC1000 l.UC1000 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year i.cnty_code if l.w_hp1==0, cluster (cnty_code)
reg US100 l.US100 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year i.cnty_code , cluster (cnty_code)
reg US100 l.US100 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year i.cnty_code if l.w_hp1==1, cluster (cnty_code)
reg US100 l.US100 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year i.cnty_code if l.w_hp1==0, cluster (cnty_code)
reg UEGEN l.UEGEN l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year i.cnty_code , cluster (cnty_code)
reg UEGEN l.UEGEN l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year i.cnty_code if l.w_hp1==1, cluster (cnty_code)
reg UEGEN l.UEGEN l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year i.cnty_code if l.w_hp1==0, cluster (cnty_code)


****************************** TABLE 6 (W/O FE) W/INTERACTION ALL SAMPLE/SPLIT SAMPLES ***************
reg UC1000 l.UC1000 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year , cluster (cnty_code)
reg UC1000 l.UC1000 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year if l.w_hp1==1, cluster (cnty_code)
reg UC1000 l.UC1000 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year if l.w_hp1==0, cluster (cnty_code)
reg US100 l.US100 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year , cluster (cnty_code)
reg US100 l.US100 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year if l.w_hp1==1, cluster (cnty_code)
reg US100 l.US100 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year if l.w_hp1==0, cluster (cnty_code)
reg UEGEN l.UEGEN l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year , cluster (cnty_code)
reg UEGEN l.UEGEN l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year if l.w_hp1==1, cluster (cnty_code)
reg UEGEN l.UEGEN l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year if l.w_hp1==0, cluster (cnty_code)


****************************** TABLE  7  (W/FE) W/INTERACTION ALL SAMPLE/SPLIT SAMPLES ***************
reg logUC1000 l.logUC1000 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year i.cnty_code, cluster (cnty_code)
reg logUC1000 l.logUC1000 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year i.cnty_code if l.w_hp1==1, cluster (cnty_code)
reg logUC1000 l.logUC1000 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year i.cnty_code if l.w_hp1==0, cluster (cnty_code)
reg logUS100 l.logUS100 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck  l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year i.cnty_code, cluster (cnty_code)
reg logUS100 l.logUS100 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck  l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year i.cnty_code if l.w_hp1==1, cluster (cnty_code)
reg logUS100 l.logUS100 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck  l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year i.cnty_code if l.w_hp1==0, cluster (cnty_code)
reg logUEGEN l.logUEGEN l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck  l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year i.cnty_code, cluster (cnty_code)
reg logUEGEN l.logUEGEN l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck  l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year i.cnty_code if l.w_hp1==1, cluster (cnty_code)
reg logUEGEN l.logUEGEN l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck  l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year i.cnty_code if l.w_hp1==0, cluster (cnty_code)


****************************** TABLE 8  (W/O FE) W/INTERACTION ALL SAMPLE/SPLIT SAMPLES ***************
reg logUC1000 l.logUC1000 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year, cluster (cnty_code)
reg logUC1000 l.logUC1000 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year if l.w_hp1==1, cluster (cnty_code)
reg logUC1000 l.logUC1000 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year if l.w_hp1==0, cluster (cnty_code)
reg logUS100 l.logUS100 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year, cluster (cnty_code)
reg logUS100 l.logUS100 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year if l.w_hp1==1, cluster (cnty_code)
reg logUS100 l.logUS100 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year  if l.w_hp1==0, cluster (cnty_code)
reg logUEGEN l.logUEGEN l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year, cluster (cnty_code)
reg logUEGEN l.logUEGEN l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year if l.w_hp1==1, cluster (cnty_code)
reg logUEGEN l.logUEGEN l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year  if l.w_hp1==0, cluster (cnty_code)


****************************** TABLE  9  PLACEBO W/INTERACTION ALL SAMPLE/SPLIT SAMPLES ***************
reg SPC1000 l.SPC1000 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year i.cnty_code , cluster (cnty_code)
reg SPC1000 l.SPC1000 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year i.cnty_code if l.w_hp1==1, cluster (cnty_code)
reg SPC1000 l.SPC1000 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year i.cnty_code if l.w_hp1==0, cluster (cnty_code)
reg SPS100 l.SPS100 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year i.cnty_code , cluster (cnty_code)
reg SPS100 l.SPS100 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year i.cnty_code if l.w_hp1==1, cluster (cnty_code)
reg SPS100 l.SPS100 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year i.cnty_code if l.w_hp1==0, cluster (cnty_code)

****************************** TABLE 10 PLACEBO  W/INTERACTION ALL SAMPLE/SPLIT SAMPLES ***************

reg logSPC1000 l.logSPC1000 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year i.cnty_code, cluster (cnty_code)
reg logSPC1000 l.logSPC1000 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year i.cnty_code if l.w_hp1==1, cluster (cnty_code)
reg logSPC1000 l.logSPC1000 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year i.cnty_code if l.w_hp1==0, cluster (cnty_code)
reg logSPS100 l.logSPS100 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year i.cnty_code, cluster (cnty_code)
reg logSPS100 l.logSPS100 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year i.cnty_code if l.w_hp1==1, cluster (cnty_code)
reg logSPS100 l.logSPS100 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year i.cnty_code if l.w_hp1==0, cluster (cnty_code)



******* APPENDIX TABLES *******

***** TABLE A1 (Data Availability and Electoral Systems) *****
tab year cnty if (UC1000!=. & l.UC1000!=. & l.nat_unemp!=. & l.loggdp!=. & l.work_pop!=. & l.old_65!=. & l.checks!=. & l.majoritarian!=. & l.w_diff_1!=.) | ///
(US100!=. & l.US100!=. & l.nat_unemp!=. & l.loggdp!=. & l.work_pop!=. & l.old_65!=. & l.checks!=. & l.majoritarian!=. & l.w_diff_1!=.) | ///
(UEGEN!=. & l.UEGEN!=. & l.nat_unemp!=. & l.loggdp!=. & l.work_pop!=. & l.old_65!=. & l.checks!=. & l.majoritarian!=. & l.w_diff_1!=.) | ///
(UC1000!=. & l.UC1000!=. & l.nat_unemp!=. & l.loggdp!=. & l.work_pop!=. & l.old_65!=. & l.checks!=. & l.majoritarian!=. & l.w_diff_2!=.) | ///
(US100!=. & l.US100!=. & l.nat_unemp!=. & l.loggdp!=. & l.work_pop!=. & l.old_65!=. & l.checks!=. & l.majoritarian!=. & l.w_diff_2!=.) | ///
(UEGEN!=. & l.UEGEN!=. & l.nat_unemp!=. & l.loggdp!=. & l.work_pop!=. & l.old_65!=. & l.checks!=. & l.majoritarian!=. & l.w_diff_2!=.) | ///
(UC1000!=. & l.UC1000!=. & l.nat_unemp!=. & l.loggdp!=. & l.work_pop!=. & l.old_65!=. & l.checks!=. & l.majoritarian!=. & l.w_diff_med!=.) | ///
(US100!=. & l.US100!=. & l.nat_unemp!=. & l.loggdp!=. & l.work_pop!=. & l.old_65!=. & l.checks!=. & l.majoritarian!=. & l.w_diff_med!=.) | ///
(UEGEN!=. & l.UEGEN!=. & l.nat_unemp!=. & l.loggdp!=. & l.work_pop!=. & l.old_65!=. & l.checks!=. & l.majoritarian!=. & l.w_diff_med!=.)

bys cnty: tab maj year if (UC1000!=. & l.UC1000!=. & l.nat_unemp!=. & l.loggdp!=. & l.work_pop!=. & l.old_65!=. & l.checks!=. & l.majoritarian!=. & l.w_diff_1!=.) | ///
(US100!=. & l.US100!=. & l.nat_unemp!=. & l.loggdp!=. & l.work_pop!=. & l.old_65!=. & l.checks!=. & l.majoritarian!=. & l.w_diff_1!=.) | ///
(UEGEN!=. & l.UEGEN!=. & l.nat_unemp!=. & l.loggdp!=. & l.work_pop!=. & l.old_65!=. & l.checks!=. & l.majoritarian!=. & l.w_diff_1!=.) | ///
(UC1000!=. & l.UC1000!=. & l.nat_unemp!=. & l.loggdp!=. & l.work_pop!=. & l.old_65!=. & l.checks!=. & l.majoritarian!=. & l.w_diff_2!=.) | ///
(US100!=. & l.US100!=. & l.nat_unemp!=. & l.loggdp!=. & l.work_pop!=. & l.old_65!=. & l.checks!=. & l.majoritarian!=. & l.w_diff_2!=.) | ///
(UEGEN!=. & l.UEGEN!=. & l.nat_unemp!=. & l.loggdp!=. & l.work_pop!=. & l.old_65!=. & l.checks!=. & l.majoritarian!=. & l.w_diff_2!=.) | ///
(UC1000!=. & l.UC1000!=. & l.nat_unemp!=. & l.loggdp!=. & l.work_pop!=. & l.old_65!=. & l.checks!=. & l.majoritarian!=. & l.w_diff_med!=.) | ///
(US100!=. & l.US100!=. & l.nat_unemp!=. & l.loggdp!=. & l.work_pop!=. & l.old_65!=. & l.checks!=. & l.majoritarian!=. & l.w_diff_med!=.) | ///
(UEGEN!=. & l.UEGEN!=. & l.nat_unemp!=. & l.loggdp!=. & l.work_pop!=. & l.old_65!=. & l.checks!=. & l.majoritarian!=. & l.w_diff_med!=.)

***** TABLE A2 (Table 5 w/ Swing_2 Measure) *****

reg UC1000 l.UC1000 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_2 l.w_diff2_maj i.year i.cnty_code , cluster (cnty_code)
reg UC1000 l.UC1000 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_2 l.w_diff2_maj i.year i.cnty_code if l.w_hp2==1, cluster (cnty_code)
reg UC1000 l.UC1000 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_2 l.w_diff2_maj i.year i.cnty_code if l.w_hp2==0, cluster (cnty_code)
reg US100 l.US100 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_2 l.w_diff2_maj i.year i.cnty_code , cluster (cnty_code)
reg US100 l.US100 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_2 l.w_diff2_maj i.year i.cnty_code if l.w_hp2==1, cluster (cnty_code)
reg US100 l.US100 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_2 l.w_diff2_maj i.year i.cnty_code if l.w_hp2==0, cluster (cnty_code)
reg UEGEN l.UEGEN l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_2 l.w_diff2_maj i.year i.cnty_code , cluster (cnty_code)
reg UEGEN l.UEGEN l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_2 l.w_diff2_maj i.year i.cnty_code if l.w_hp2==1, cluster (cnty_code)
reg UEGEN l.UEGEN l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_2 l.w_diff2_maj i.year i.cnty_code if l.w_hp2==0, cluster (cnty_code)

***** TABLE A3 (Table 5 w/ Swing_med measure) *****

reg UC1000 l.UC1000 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_med l.w_diffmed_maj i.year i.cnty_code , cluster (cnty_code)
reg UC1000 l.UC1000 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_med l.w_diffmed_maj i.year i.cnty_code if l.w_hpmed==1, cluster (cnty_code)
reg UC1000 l.UC1000 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_med l.w_diffmed_maj i.year i.cnty_code if l.w_hpmed==0, cluster (cnty_code)
reg US100 l.US100 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_med l.w_diffmed_maj i.year i.cnty_code , cluster (cnty_code)
reg US100 l.US100 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_med l.w_diffmed_maj i.year i.cnty_code if l.w_hpmed==1, cluster (cnty_code)
reg US100 l.US100 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_med l.w_diffmed_maj i.year i.cnty_code if l.w_hpmed==0, cluster (cnty_code)
reg UEGEN l.UEGEN l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_med l.w_diffmed_maj i.year i.cnty_code , cluster (cnty_code)
reg UEGEN l.UEGEN l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_med l.w_diffmed_maj i.year i.cnty_code if l.w_hpmed==1, cluster (cnty_code)
reg UEGEN l.UEGEN l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_med l.w_diffmed_maj i.year i.cnty_code if l.w_hpmed==0, cluster (cnty_code)

***** TABLE A4 (Table 6 w/ Swing_2 Measure) *****

reg logUC1000 l.logUC1000 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck  l.majoritarian l.logwunempcont2 l.logwunempuncont2 l.Mlogwunempcont2 l.Mlogwunempuncont2 i.year i.cnty_code, cluster (cnty_code)
reg logUC1000 l.logUC1000 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcont2 l.logwunempuncont2 l.Mlogwunempcont2 l.Mlogwunempuncont2 i.year i.cnty_code if l.w_hp2==1, cluster (cnty_code)
reg logUC1000 l.logUC1000 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcont2 l.logwunempuncont2 l.Mlogwunempcont2 l.Mlogwunempuncont2 i.year i.cnty_code if l.w_hp2==0, cluster (cnty_code)
reg logUS100 l.logUS100 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcont2 l.logwunempuncont2 l.Mlogwunempcont2 l.Mlogwunempuncont2 i.year i.cnty_code, cluster (cnty_code)
reg logUS100 l.logUS100 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcont2 l.logwunempuncont2 l.Mlogwunempcont2 l.Mlogwunempuncont2 i.year i.cnty_code if l.w_hp2==1, cluster (cnty_code)
reg logUS100 l.logUS100 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcont2 l.logwunempuncont2 l.Mlogwunempcont2 l.Mlogwunempuncont2 i.year i.cnty_code if l.w_hp2==0, cluster (cnty_code)
reg logUEGEN l.logUEGEN l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcont2 l.logwunempuncont2 l.Mlogwunempcont2 l.Mlogwunempuncont2 i.year i.cnty_code, cluster (cnty_code)
reg logUEGEN l.logUEGEN l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcont2 l.logwunempuncont2 l.Mlogwunempcont2 l.Mlogwunempuncont2 i.year i.cnty_code if l.w_hp2==1, cluster (cnty_code)
reg logUEGEN l.logUEGEN l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcont2 l.logwunempuncont2 l.Mlogwunempcont2 l.Mlogwunempuncont2 i.year i.cnty_code if l.w_hp2==0, cluster (cnty_code)



***** TABLE A5 (Table 6 w/ Swing_med Measure) *****

reg logUC1000 l.logUC1000 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcontmed l.logwunempuncontmed l.Mlogwunempcontmed l.Mlogwunempuncontmed i.year i.cnty_code, cluster (cnty_code)
reg logUC1000 l.logUC1000 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcontmed l.logwunempuncontmed l.Mlogwunempcontmed l.Mlogwunempuncontmed i.year i.cnty_code if l.w_hpmed==1, cluster (cnty_code)
reg logUC1000 l.logUC1000 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcontmed l.logwunempuncontmed l.Mlogwunempcontmed l.Mlogwunempuncontmed i.year i.cnty_code if l.w_hpmed==0, cluster (cnty_code)
reg logUS100 l.logUS100 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck  l.majoritarian l.logwunempcontmed l.logwunempuncontmed l.Mlogwunempcontmed l.Mlogwunempuncontmed i.year i.cnty_code, cluster (cnty_code)
reg logUS100 l.logUS100 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck  l.majoritarian l.logwunempcontmed l.logwunempuncontmed l.Mlogwunempcontmed l.Mlogwunempuncontmed i.year i.cnty_code if l.w_hpmed==1, cluster (cnty_code)
reg logUS100 l.logUS100 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck  l.majoritarian l.logwunempcontmed l.logwunempuncontmed l.Mlogwunempcontmed l.Mlogwunempuncontmed i.year i.cnty_code if l.w_hpmed==0, cluster (cnty_code)
reg logUEGEN l.logUEGEN l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck  l.majoritarian l.logwunempcontmed l.logwunempuncontmed l.Mlogwunempcontmed l.Mlogwunempuncontmed i.year i.cnty_code, cluster (cnty_code)
reg logUEGEN l.logUEGEN l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck  l.majoritarian l.logwunempcontmed l.logwunempuncontmed l.Mlogwunempcontmed l.Mlogwunempuncontmed i.year i.cnty_code if l.w_hpmed==1, cluster (cnty_code)
reg logUEGEN l.logUEGEN l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck  l.majoritarian l.logwunempcontmed l.logwunempuncontmed l.Mlogwunempcontmed l.Mlogwunempuncontmed i.year i.cnty_code if l.w_hpmed==0, cluster (cnty_code)





******* ADDITIONAL TABLES *************+

***** TABLE 5 w/o Germany *****

reg US100 l.US100 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year i.cnty_code if cnty!="Germany", cluster (cnty_code)
reg US100 l.US100 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year i.cnty_code if l.w_hp1==1 & cnty!="Germany", cluster (cnty_code)
reg US100 l.US100 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year i.cnty_code if l.w_hp1==0 & cnty!="Germany", cluster (cnty_code)
reg UC1000 l.UC1000 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year i.cnty_code if cnty!="Germany", cluster (cnty_code)
reg UC1000 l.UC1000 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year i.cnty_code if l.w_hp1==1 & cnty!="Germany", cluster (cnty_code)
reg UC1000 l.UC1000 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year i.cnty_code if l.w_hp1==0 & cnty!="Germany", cluster (cnty_code)
reg UEGEN l.UEGEN l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year i.cnty_code if cnty!="Germany", cluster (cnty_code)
reg UEGEN l.UEGEN l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year i.cnty_code if l.w_hp1==1 & cnty!="Germany", cluster (cnty_code)
reg UEGEN l.UEGEN l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.majoritarian l.w_diff_1 l.w_diff1_maj i.year i.cnty_code if l.w_hp1==0 & cnty!="Germany", cluster (cnty_code)



***** TABLE 7 w/o Germany *****

reg logUS100 l.logUS100 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year i.cnty_code if cnty!="Germany", cluster (cnty_code)
reg logUS100 l.logUS100 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck  l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year i.cnty_code if l.w_hp1==1 & cnty!="Germany", cluster (cnty_code)
reg logUS100 l.logUS100 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck  l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year i.cnty_code if l.w_hp1==0 & cnty!="Germany", cluster (cnty_code)
reg logUC1000 l.logUC1000 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck  l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year i.cnty_code if cnty!="Germany", cluster (cnty_code)
reg logUC1000 l.logUC1000 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck  l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year i.cnty_code if l.w_hp1==1 & cnty!="Germany", cluster (cnty_code)
reg logUC1000 l.logUC1000 l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck  l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year i.cnty_code if l.w_hp1==0 & cnty!="Germany", cluster (cnty_code)
reg logUEGEN l.logUEGEN l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck  l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year i.cnty_code if cnty!="Germany", cluster (cnty_code)
reg logUEGEN l.logUEGEN l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck  l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year i.cnty_code if l.w_hp1==1 & cnty!="Germany", cluster (cnty_code)
reg logUEGEN l.logUEGEN l.logunemp l.loggdp l.logworkpop l.logold65 l.logcheck  l.majoritarian l.logwunempcont1 l.logwunempuncont1 l.Mlogwunempcont1 l.Mlogwunempuncont1 i.year i.cnty_code if l.w_hp1==0 & cnty!="Germany", cluster (cnty_code)



***** TABLES RESPONSE TO REFEREE ONLY (Table 5 SPLIT ON ELECTORAL RULES) *****
reg US100 l.US100 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.w_diff_1 i.year i.cnty_code if majoritarian==1, cluster (cnty_code)
reg US100 l.US100 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.w_diff_1 i.year i.cnty_code if majoritarian==0, cluster (cnty_code)
reg UC1000 l.UC1000 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.w_diff_1 i.year i.cnty_code if majoritarian==1, cluster (cnty_code)
reg UC1000 l.UC1000 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.w_diff_1 i.year i.cnty_code if majoritarian==0, cluster (cnty_code)
reg UEGEN l.UEGEN l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.w_diff_1 i.year i.cnty_code if majoritarian==1, cluster (cnty_code)
reg UEGEN l.UEGEN l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.w_diff_1 i.year i.cnty_code if majoritarian==0, cluster (cnty_code)

reg US100 l.US100 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.w_diff_1 i.year if majoritarian==1, cluster (cnty_code)
reg US100 l.US100 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.w_diff_1 i.year if majoritarian==0, cluster (cnty_code)
reg UC1000 l.UC1000 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.w_diff_1 i.year if majoritarian==1, cluster (cnty_code)
reg UC1000 l.UC1000 l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.w_diff_1 i.year if majoritarian==0, cluster (cnty_code)
reg UEGEN l.UEGEN l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.w_diff_1 i.year if majoritarian==1, cluster (cnty_code)
reg UEGEN l.UEGEN l.nat_unemp l.loggdp l.work_pop l.old_65 l.checks l.w_diff_1 i.year if majoritarian==0, cluster (cnty_code)

********* TABLES 5 and 7 WITH ARELLANO BOND PROCEDURE *************
gen UC1000_lag=l.UC1000
gen US100_lag=l.US100
gen UEGEN_lag=l.UEGEN
gen logUC1000_lag=l.logUC1000
gen logUS100_lag=l.logUS100
gen logUEGEN_lag=l.logUEGEN 
gen nat_unemp_lag =l.nat_unemp 
gen loggdp_lag= l.loggdp 
gen work_pop_lag =l.work_pop 
gen old_65_lag =l.old_65 
gen checks_lag=l.checks 
gen majoritarian_lag =l.majoritarian 
gen w_diff_1_lag =l.w_diff_1 
gen w_diff1_maj_lag=l.w_diff1_maj 
g loggdp_lag=l.loggdp
g logold65_lag=l.logold65
g logunemp_lag=l.logunemp
g logpop_lag=l.logpop
g logcheck_lag=l.logcheck
g logworkpop_lag=l.logworkpop
g logpubsoc_lag=l.logpubsoc
g logunempcont1_lag=l.logunempcont1
g logunempuncont1_lag=l.logunempuncont1
g logwunempcont1_lag=l.logwunempcont1
g logwunempuncont1_lag=l.logwunempuncont1
g Mlogunempcont1_lag=l.Mlogunempcont1
g Mlogunempuncont1_lag=l.Mlogunempuncont1
g Mlogwunempcont1_lag=l.Mlogwunempcont1
g Mlogwunempuncont1_lag=l.Mlogwunempuncont1


xi i.year
xi i.cnty_code

tabulate year, gen(year)
tabulate cnty_code, gen(cnty_code)

xtabond UC1000 l(0/1). nat_unemp_lag loggdp_lag work_pop_lag old_65_lag checks_lag majoritarian_lag w_diff_1_lag w_diff1_maj_lag year1-year32 cnty_code1-cnty_code16, robust pre(nat_unemp_lag loggdp_lag work_pop_lag old_65_lag checks_lag majoritarian_lag w_diff_1_lag w_diff1_maj_lag, lag(0,1))
xtabond US100 l(0/1). nat_unemp_lag loggdp_lag work_pop_lag old_65_lag checks_lag majoritarian_lag w_diff_1_lag w_diff1_maj_lag year1-year32 cnty_code1-cnty_code16, robust pre(nat_unemp_lag loggdp_lag work_pop_lag old_65_lag checks_lag majoritarian_lag w_diff_1_lag w_diff1_maj_lag, lag(0,1))
xtabond UEGEN l(0/1). nat_unemp_lag loggdp_lag work_pop_lag old_65_lag checks_lag majoritarian_lag w_diff_1_lag w_diff1_maj_lag year1-year32 cnty_code1-cnty_code16, robust pre(nat_unemp_lag loggdp_lag work_pop_lag old_65_lag checks_lag majoritarian_lag w_diff_1_lag w_diff1_maj_lag, lag(0,1))
xtabond logUC1000 l(0/1). nat_unemp_lag loggdp_lag logworkpop_lag logold65_lag logcheck_lag majoritarian_lag logwunempcont1_lag logwunempuncont1_lag Mlogwunempcont1_lag Mlogwunempuncont1_lag year1-year32 cnty_code1-cnty_code16, robust pre(nat_unemp_lag loggdp_lag logworkpop_lag logold65_lag logcheck_lag majoritarian_lag logwunempcont1_lag logwunempuncont1_lag Mlogwunempcont1_lag Mlogwunempuncont1_lag, lag(0,1))
xtabond logUS100 l(0/1). nat_unemp_lag loggdp_lag logworkpop_lag logold65_lag logcheck_lag majoritarian_lag logwunempcont1_lag logwunempuncont1_lag Mlogwunempcont1_lag Mlogwunempuncont1_lag year1-year32 cnty_code1-cnty_code16, robust pre(nat_unemp_lag loggdp_lag logworkpop_lag logold65_lag logcheck_lag majoritarian_lag logwunempcont1_lag logwunempuncont1_lag Mlogwunempcont1_lag Mlogwunempuncont1_lag, lag(0,1))
xtabond logUEGEN l(0/1). nat_unemp_lag loggdp_lag logworkpop_lag logold65_lag logcheck_lag majoritarian_lag logwunempcont1_lag logwunempuncont1_lag Mlogwunempcont1_lag Mlogwunempuncont1_lag year1-year32 cnty_code1-cnty_code16, robust pre(nat_unemp_lag loggdp_lag logworkpop_lag logold65_lag logcheck_lag majoritarian_lag logwunempcont1_lag logwunempuncont1_lag Mlogwunempcont1_lag Mlogwunempuncont1_lag, lag(0,1))


********* TABLES 5 and 7 WITH Cameron-Gelbach-Muller bootstrap PROCEDURE *************

cgmreg UC1000 UC1000_lag nat_unemp_lag loggdp_lag work_pop_lag old_65_lag checks_lag majoritarian_lag w_diff_1_lag w_diff1_maj_lag year1-year32 cnty_code1-cnty_code16, cluster(cnty_code) 
cgmreg US100 US100_lag nat_unemp_lag loggdp_lag work_pop_lag old_65_lag checks_lag majoritarian_lag w_diff_1_lag w_diff1_maj_lag year1-year32 cnty_code1-cnty_code16, cluster(cnty_code) 
cgmreg UEGEN UEGEN_lag nat_unemp_lag loggdp_lag work_pop_lag old_65_lag checks_lag majoritarian_lag w_diff_1_lag w_diff1_maj_lag year1-year32 cnty_code1-cnty_code16, cluster(cnty_code) 
cgmreg logUC1000 logUC1000_lag nat_unemp_lag loggdp_lag logworkpop_lag logold65_lag logcheck_lag majoritarian_lag logwunempcont1_lag logwunempuncont1_lag Mlogwunempcont1_lag Mlogwunempuncont1_lag year1-year32 cnty_code1-cnty_code16, cluster(cnty_code) 
cgmreg logUS100 logUS100_lag  nat_unemp_lag loggdp_lag logworkpop_lag logold65_lag logcheck_lag majoritarian_lag logwunempcont1_lag logwunempuncont1_lag Mlogwunempcont1_lag Mlogwunempuncont1_lag year1-year32 cnty_code1-cnty_code16, cluster(cnty_code) 
cgmreg logUEGEN logUEGEN_lag  nat_unemp_lag loggdp_lag logworkpop_lag logold65_lag logcheck_lag majoritarian_lag logwunempcont1_lag logwunempuncont1_lag Mlogwunempcont1_lag Mlogwunempuncont1_lag year1-year32 cnty_code1-cnty_code16, cluster(cnty_code)



***************************
********* TABLE 1 *********
clear all

set matsize 1000

use "C:\Users\Galasso\Dropbox\Electoral Incentives & Econ. Policy\QJPS Revision Fall 2018\districts_all.dta"

bys cnty: sum comp_1 comp_2 comp_med 
